## cp2k 2.5.1

=== makefiles/Makefile ===
#
# make -j 16 sopt popt ssmp psmp
#
# will now perform a parallel build of 4 cp2k executables
#
.SUFFIXES: .F .dep .o .f90 .cu .c
SHELL = /bin/sh
#
# the home dir is taken from the current directory: you must cd to the makefiles
# directory before executing make.
# adding a symbolic link from the src directory to the Makefile in makefiles/ 
# also works fine
#
CP2KHOME := $(PWD)/..
ARCH     := $(shell $(CP2KHOME)/tools/get_arch_code)
LIB1      = cp2k_base_lib
LIB2      = cp2k_fft_lib
LIB3      = cp2k_dbcsr_lib
LIB4      = cp2k_ma_lib
LIBCP2K   = cp2k_lib

export VERSION=sopt
export WHAT   =_progr

### Dependent variables ###

ARCHDIR               = $(CP2KHOME)/arch
DOCDIR                = $(CP2KHOME)/doc
MAINEXEDIR            = $(CP2KHOME)/exe
MAINLIBDIR            = $(CP2KHOME)/lib
MAINOBJDIR            = $(CP2KHOME)/obj
PRETTYOBJDIR          = $(CP2KHOME)/obj/prettified
TOOLDIR               = $(OBJDIR)/tools
TOOLSRC               = $(CP2KHOME)/tools
SRCDIR                = $(CP2KHOME)/src
LIBCUSMM_DIR          = $(SRCDIR)/dbcsr_lib/cuda/libcusmm
SRCDIRS               = $(SRCDIR):$(SRCDIR)/lib:$(SRCDIR)/arch_lib:$(SRCDIR)/dbcsr_lib:$(SRCDIR)/dbcsr_lib/cuda:$(SRCDIR)/fft_lib:$(SRCDIR)/metadyn_tools:$(SRCDIR)/cuda:$(LIBCUSMM_DIR):$(SRCDIR)/machine
MAKEFILE              = $(CP2KHOME)/makefiles/Makefile
MACHINEDEFS           = $(ARCHDIR)/$(ARCH).$(VERSION)
PROG                  = $(EXEDIR)/cp2k.$(VERSION)
CP2KSHELL             = $(EXEDIR)/cp2k_shell.$(VERSION)
FES                   = $(EXEDIR)/fes.$(VERSION)
EXEDIR                = $(MAINEXEDIR)/$(ARCH)
LIBDIR                = $(MAINLIBDIR)/$(ARCH)
OBJDIR                = $(MAINOBJDIR)/$(ARCH)
OBJECTDEFS            = $(SRCDIR)/OBJECTDEFS
LIB1_OBJECTDEFS       = $(SRCDIR)/lib/OBJECTDEFS
LIB2_OBJECTDEFS       = $(SRCDIR)/dbcsr_lib/OBJECTDEFS
LIB2CUDA_OBJECTDEFS   = $(SRCDIR)/dbcsr_lib/cuda/OBJECTDEFS
LIB2CUDA_DEPENDENCIES = $(SRCDIR)/dbcsr_lib/cuda/DEPENDENCIES
LIB3_OBJECTDEFS       = $(SRCDIR)/fft_lib/OBJECTDEFS
LIB4_OBJECTDEFS       = $(SRCDIR)/arch_lib/OBJECTDEFS
LIBNVOBJECTDEFS       = $(SRCDIR)/cuda/NVOBJECTDEFS
LIBMA_OBJECTDEFS      = $(SRCDIR)/machine/LIBMA_OBJECTDEFS
LIBCUDA_DEPENDENCIES  = $(SRCDIR)/cuda/LIBCUDA_DEPENDENCIES
LIBCUSMM_DEPENDENCIES = $(LIBCUSMM_DIR)/LIBCUSMM_DEPENDENCIES
LIBMA_DEPENDENCIES    = $(SRCDIR)/machine/LIBMA_DEPENDENCIES
LIB1_ARCHIVE          = $(LIBDIR)/$(VERSION)/lib$(LIB1).a
LIB2_ARCHIVE          = $(LIBDIR)/$(VERSION)/lib$(LIB2).a
LIB3_ARCHIVE          = $(LIBDIR)/$(VERSION)/lib$(LIB3).a
LIB4_ARCHIVE          = $(LIBDIR)/$(VERSION)/lib$(LIB4).a
LIB_CP2K_ARCHIVE      = $(LIBDIR)/$(VERSION)/lib$(LIBCP2K).a
SVN_ENTRY             = $(wildcard $(SRCDIR)/.svn/entries*)
GIT_HEAD              = $(wildcard $(CP2KHOME)/../.git/HEAD*)
FESOBJECTDEFS         = $(SRCDIR)/metadyn_tools/OBJECTDEFS
DOXYGENDIR            = $(DOCDIR)/doxygen
DBCSR_TEST_PROG       = $(EXEDIR)/dbcsr_test_driver.$(VERSION)
DBCSR_PERF_PROG       = $(EXEDIR)/dbcsr_performance_driver.$(VERSION)
#PLUMED
PLUMEDDIR             = $(SRCDIR)/src-plumed
PLUMEDINC             = $(PLUMEDDIR)/plumed.inc 
LIBCUSMM_FILES        = $(LIBCUSMM_DEPENDENCIES) $(LIBCUSMM_DIR)/libcusmm.cu $(wildcard $(LIBCUSMM_DIR)/kernels/*.pyc)

REVISION := $(shell $(CP2KHOME)/tools/get_revision_number $(SRCDIR))

# SMART_MODULES prevents unnecessary recompilation of files depending
# on unchanged modules.
# Set SMART_MODULES=yes in your environment, make argument, or ARCH file.
# Needs the md5sum program somewhere in the $PATH.
# Unneeded for gfortran >= 4.5.  No effect with compilers that output a
# different .mod files even for unchanged input files.
# Assumes file case preservation.
SMART_MODULES ?= no

### Definition of the multiple targets ###
#
# Should really be
#VERSION_TARGTES= sopt sdbg popt pdbg topt hopt tdbg hdbg
VERSION_TARGETS = sopt sdbg popt pdbg ssmp psmp tdbg hdbg
#
# uses an ugly trick, these are disguised as file names, the directory (@D) part 
# is used as a version, the file (@F) part is used as the target.
#
LIB_TARGETS = $(addsuffix /lib ,$(VERSION_TARGETS)) 
ALL_TARGETS = $(addsuffix /all ,$(VERSION_TARGETS))
CLEAN_TARGETS = $(addsuffix /clean ,$(VERSION_TARGETS)) $(addsuffix /realclean ,$(VERSION_TARGETS))

#
# lists the targets that are not files
#
.PHONY : _all libs _progr _lib build clean realclean distclean $(CLEAN_TARGETS)\
         $(ALL_TARGETS) $(LIB_TARGETS) $(VERSION_TARGETS) fes dirs deptool\
         dbcsr_test dbcsr_perf mrproper plumed libcusmm

### Master rules ###
build: dirs deptool libcusmm
	+$(MAKE) -C $(SRCDIR) -f $(MAKEFILE) all.dep
	+cp $(LIBCUDA_DEPENDENCIES) $(OBJDIR)/$(VERSION)/libc_cuda.dep
	+if [ -e $(LIBCUSMM_DEPENDENCIES) ]; then \
	  cp $(LIBCUSMM_DEPENDENCIES) $(OBJDIR)/$(VERSION)/libc_cusmm.dep; \
	fi
	+cp $(LIBMA_DEPENDENCIES) $(OBJDIR)/$(VERSION)/libc_ma.dep
	+$(MAKE) -C $(OBJDIR)/$(VERSION) -f $(MAKEFILE) $(WHAT)

fes: dirs deptool
	+$(MAKE) -C $(SRCDIR)/metadyn_tools/  -f $(MAKEFILE) fes.dep
	+$(MAKE) -C $(OBJDIR)/$(VERSION) -f $(MAKEFILE) HACKLIBDEP=yes VERSION=$(VERSION) $(FES) 

dirs:
	@mkdir -p $(EXEDIR)
	@mkdir -p $(LIBDIR)/$(VERSION)
	@mkdir -p $(TOOLDIR)
	@mkdir -p $(OBJDIR)/$(VERSION)
	@mkdir -p $(PRETTYOBJDIR)

realpretty: prettyclean pretty

pretty: dirs
	+$(MAKE) -C $(SRCDIR) -f $(MAKEFILE) _pretty
	+$(MAKE) -C $(SRCDIR)/lib       -f $(MAKEFILE) _pretty_lib1
	+$(MAKE) -C $(SRCDIR)/fft_lib   -f $(MAKEFILE) _pretty_lib2
	+$(MAKE) -C $(SRCDIR)/dbcsr_lib -f $(MAKEFILE) _pretty_lib3
	+$(MAKE) -C $(SRCDIR)/arch_lib  -f $(MAKEFILE) _pretty_lib4

deptool: dirs
	+$(MAKE) LDFLAGS=$(MAKDEPF90_LDFLAGS) -C $(TOOLDIR) -f $(MAKEFILE) makedepf90

libs:
	+$(MAKE) -f $(MAKEFILE) VERSION=$(VERSION) WHAT=_lib build
all:
	+$(MAKE) -f $(MAKEFILE) VERSION=$(VERSION) WHAT=_all build
progr:
	+$(MAKE) -f $(MAKEFILE) VERSION=$(VERSION) WHAT=_progr build
cpshell:
	+$(MAKE) -f $(MAKEFILE) VERSION=$(VERSION) WHAT=_cpshell build

dbcsr_test:
	+$(MAKE) -f $(MAKEFILE) VERSION=$(VERSION) WHAT=_dbcsr_test build

dbcsr_perf:
	+$(MAKE) -f $(MAKEFILE) VERSION=$(VERSION) WHAT=_dbcsr_perf build

plumed: plumedobj plumed.dep
	+$(MAKE) -f $(MAKEFILE) VERSION=$(VERSION) WHAT=_plumed build

plumedobj: dirs
	+$(MAKE) -C $(OBJDIR)/$(VERSION)/ -f $(MAKEFILE) $(OBJ_PLUMED)

#
# on a parallel build only one task should go a build the deptool
#
$(VERSION_TARGETS): dirs deptool
	+$(MAKE) -f $(MAKEFILE) VERSION=$@ build

$(CLEAN_TARGETS):
	+$(MAKE) -f $(MAKEFILE) VERSION=$(@D) $(@F)

$(ALL_TARGETS) $(LIB_TARGETS):
	+$(MAKE) -f $(MAKEFILE) VERSION=$(@D) WHAT=_$(@F) build

#
# here we try to include all the objects that might need considering
#
include $(OBJECTDEFS)
include $(LIB1_OBJECTDEFS)
include $(LIB2_OBJECTDEFS)
include $(LIB3_OBJECTDEFS)
include $(LIB4_OBJECTDEFS)
include $(FESOBJECTDEFS)
include $(MACHINEDEFS)
include $(LIBNVOBJECTDEFS)
include $(LIBMA_OBJECTDEFS)
include $(LIB2CUDA_OBJECTDEFS)
include $(LIB2CUDA_DEPENDENCIES)

OBJECTS = $(OBJECTS_GENERIC)
FESOBJS = $(FESOBJ)

# Cuda specific instructions
ifneq ($(NVCC),)
  LIBNV_ARCHIVE= $(LIBDIR)/$(VERSION)/libcp2k_cuda.a
  LIBCUSMM_ARCHIVE = $(LIBDIR)/$(VERSION)/libcusmm.a
  LIB2CUDA_ARCHIVE = $(LIBDIR)/$(VERSION)/libdbcsr_cuda.a
endif


# libcusmm stuff
ifneq ($(NVCC),)
  libcusmm:
	cd $(LIBCUSMM_DIR); ./generate.py $(LIBCUSMM_FLAGS)
endif


# HWTOPO
ifneq ($(HWTOPO),)
  LIBMA_ARCHIVE= $(LIBDIR)/$(VERSION)/libcp2k_ma.a
endif

ifneq ($(SMART_MODULES),no)
MD5 := $(shell which md5sum)
endif

### Logging of fortran compiler output, e.g. for examining it's warnings ###
ifneq ($(FC_SAVELOG), )
   FCLOGPIPE = &> $*.log
endif

#
#PLUMED
#
ifeq ($(PLUMED),yes)
	include $(PLUMEDINC) 
	DFLAGS += -DPLUMED_CP2K
	CPPFLAGS += -DPLUMED_CP2K
endif


# Define the whole bunch of libraries needed
ALL_LIB =  $(LIB_CP2K_ARCHIVE) $(LIB3_ARCHIVE) $(LIB2_ARCHIVE) $(LIB1_ARCHIVE) $(LIB4_ARCHIVE) $(LIBMA_ARCHIVE) $(LIBNV_ARCHIVE) $(LIB2CUDA_ARCHIVE) $(LIBCUSMM_ARCHIVE)
ALL_SOURCE_FILES=$(notdir $(OBJECTS:.o=.F) $(LIB1_OBJECTS:.o=.F) $(LIB2_OBJECTS:.o=.F) $(LIB4_OBJECTS:.o=.F) $(LIB3_OBJECTS:.o=.F) cp_common_uses.h cp2k.F cp2k_shell.F)

#
# some practical variables for the build
#
ifeq ($(CPPSHELL),)
CPPSHELL := -D__COMPILE_ARCH="\"$(ARCH)\""\
            -D__COMPILE_DATE="\"$(shell date)\""\
            -D__COMPILE_HOST="\"$(shell hostname)\""\
	    -D__COMPILE_REVISION="\"$(strip $(REVISION))\""
endif

ifneq ($(CPP),)
#
# always add the SRCDIR to the include path (-I here might not be portable) 
#
CPPFLAGS += $(CPPSHELL) -I$(SRCDIR)
else
FCFLAGS += $(CPPSHELL)
endif


### Slave rules ###
vpath %.F $(SRCDIRS)
vpath %.h $(SRCDIRS)
vpath %.f90 $(SRCDIRS)
vpath %.dep $(OBJDIR)/$(VERSION)
vpath %.pretty $(PRETTYOBJDIR)
vpath %.cu $(SRCDIRS)
vpath %.c $(SRCDIRS)

#
# if the modules generated are not of the lower case form (e.g. kinds.F does not lead to kinds.mod)
# use MODDEPS = no in the arch file
# MODDEPS = upper does not work because of the rule '%.mod: %.o' is incorrect (see there), but if that is
# fixed, upper should work as well.
#
ifeq ($(MODDEPS),no)
MODSTRING=
else
ifeq ($(MODDEPS),upper)
MODSTRING=-m "%M.mod"
else
MODSTRING=-m "%m.mod"
endif
endif

#
# generation of the dependencies
#
all.dep: $(ALL_SOURCE_FILES)
ifeq ($(HACKDEP),yes)
# if HACKDEP=="yes" we hack the dependencies so that only modified source files are recompiled
# this is obviously not correct (i.e. can lead to a miscompiled CP2K), 
# but if you know what you are doing (i.e. you are sure that only information private to this module will be changed) might be useful nevertheless.
	echo $(ALL_SOURCE_FILES) | awk '{for (i=1;i<=NF;i++) {obj=$$(i) ; sub(".F",".o",obj); if ($$(i)!=obj) print obj,":",$$(i) }}' > $(OBJDIR)/$(VERSION)/all.dep
else
   ifeq ($(MC),)
	$(TOOLDIR)/makedepf90 -I $(SRCDIRS) $(MODSTRING) -free $(ALL_SOURCE_FILES) > $(OBJDIR)/$(VERSION)/all.dep || ( rm -f $(OBJDIR)/$(VERSION)/all.dep  ; exit 1 )
   else
# if MC is defined, it is our 'module compiler' which generates the .mod file from the source file
# it is useful in a two-stage compile. Therefore we split the dependency in two parts the .o and the .mod.
# the awk below assumes our current rule of one mod per file
# The current module compiler is 'gfortran -fsyntax-only ' which should work fine for gfortran 4.8.0 and higher.
	$(TOOLDIR)/makedepf90 -I $(SRCDIRS) $(MODSTRING) -free $(ALL_SOURCE_FILES) | \
            awk '{deps=substr($$0,index($$0,":"),length($$0)-index($$0,":")+1); if ($$2==":") { print $$1,deps } else {print $$2,deps ; print $$1,deps,$$2 }}' > \
            $(OBJDIR)/$(VERSION)/all.dep || ( rm -f $(OBJDIR)/$(VERSION)/all.dep  ; exit 1 )
   endif
endif

# this is kind of a hack, fes depends on files in other directories, hence the -I and the -b.
fes.dep: $(FESOBJS:.o=.F) 
	$(TOOLDIR)/makedepf90 -I$(SRCDIR) -b. $(MODSTRING)  -free $^ > $(OBJDIR)/$(VERSION)/fes.dep || ( rm -f $(OBJDIR)/$(VERSION)/fes.dep  ; exit 1 )

plumed.dep: $(OBJECTS:.o=.F) $(LIB1_OBJECTS:.o=.F) $(LIB2_OBJECTS:.o=.F) $(LIB4_OBJECTS:.o=.F) $(LIB3_OBJECTS:.o=.F) cp_common_uses.h src-plumed/metadyn.h cp2k.F 

#ifeq ($(HACKDEP),yes)
#	echo $^ | awk '{for (i=1;i<=NF;i++) {obj=$$(i) ; sub(".F",".o",obj); if ($$(i)!=obj) print obj,":",$$(i) }}' > $(OBJDIR)/$(VERSION)/plumed.dep
#else
#	$(TOOLDIR)/makedepf90 $(MODSTRING)  -free $^ > $(OBJDIR)/$(VERSION)/plumed.dep || ( rm -f $(OBJDIR)/$(VERSION)/plumed.dep  ; exit 1 )
#endif
#
# and the rules doing the actual work
#
$(OBJ_PLUMED):
	$(CC) $(CPPFLAGS) -c $(PLUMEDDIR)/$(@:.o=.cpp)

_all: $(ALL_LIB) $(PROG) fes $(CP2KSHELL)
_progr: $(PROG)
_lib: $(ALL_LIB)
_cpshell: $(CP2KSHELL)
_dbcsr_test: $(DBCSR_TEST_PROG)
_dbcsr_perf: $(DBCSR_PERF_PROG)
_plumed: $(ALL_LIB) PROG-PLUMED

_pretty:$(OBJECTS:.o=.pretty)
_pretty_lib1:$(LIB1_OBJECTS:.o=.pretty)
_pretty_lib2:$(LIB2_OBJECTS:.o=.pretty)
_pretty_lib3:$(LIB3_OBJECTS:.o=.pretty)
_pretty_lib4:$(LIB4_OBJECTS:.o=.pretty)


$(LIB1_ARCHIVE): $(LIB1_OBJECTS)
	$(AR) $(LIB1_ARCHIVE) $?
ifneq ($(RANLIB),)
	$(RANLIB) $(LIB1_ARCHIVE)
endif

$(LIB2_ARCHIVE): $(LIB2_OBJECTS)
	$(AR) $(LIB2_ARCHIVE) $?

=== debian/changelog ===
cp2k (2.5.1-3) unstable; urgency=medium

  * debian/cp2k.links: Fix symlink (Closes: #749558).
  * debian/upstream: Moved to debian/upstream/metadata.
  * debian/cp2k-data.install: Added HFX_BASIS, BASIS_ZIJLSTRA and
    nm12_parameters.xml data files.
  * debian/control (Build-Depends): Added libelpa-dev.
  * debian/patches/makeflags.patch: Enable ELPA support.
  * debian/rules (override_dh_auto_test): Added QS/regtest-gpw-6-4 regtest for
    ELPA.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Oct 2014 16:13:57 +0200

cp2k (2.5.1-2) unstable; urgency=medium

  * debian/patches/libxc-2.1_support.patch: New patch, adds support for (new
    functionals in) libxc-2.1, adopted from upstream revision 14113.
  * debian/patches/gth_potentials_update.patch: New patch, includes additions
    from the master GTH_POTENTIALS file up till revision 13090.

 -- Michael Banck <mbanck@debian.org>  Mon, 07 Jul 2014 00:26:45 +0200

cp2k (2.5.1-1) unstable; urgency=low

  * New upstream point release.
    + Adds double-escaping of some XML entities, fixing an FTBFS bug on
      archictures using gcj-jdk.
  * debian/rules (override_dh_auto_test): Added QS/regtest-md-lgvregion regtest
    directory to get some coverage of the CPMD-like Langevin MD.
  * debian/patches/potentials_allectron.patch: New patch, adds the allelectron
    potentials from tests/QS/POTENTIAL.
  * debian/patches/makeflags.patch: Added psmp (hybrid OpenMP/MPI) flavor.
  * debian/rules (VERSION): New variable.
  * debian/rules (override_dh_auto_clean, override_dh_auto_build,
    override_dh_auto_test): Use it.
  * debian/cp2k.links: Use wildcard instead of parallel flavor identifier.

 -- Michael Banck <mbanck@debian.org>  Sat, 19 Apr 2014 14:15:22 +0200

cp2k (2.5.0-1) unstable; urgency=low

  * New upstream release, new features include:
    + MP2 and RI-MP2 gradients
    + Absolutely Localized Molecular Orbitals SCF (ALMO-SCF) energies
      for linear scaling of molecular systems
    + Global optimization of geometries
    + Tree Monte Carlo: additional parallelism in MC
    + Post-SCF linear response, including Raman
    + Relativistic corrections for atomic blocks
    + Integrated molecular basis set optimization
    + RI-MP2 auxiliary basis optimization

  [ Michael Banck ]
  * debian/control (Description): Overhauled.
  * debian/cp2k-data.install: Added NLCC_POTENTIALS data file.
  * debian/upstream: Updated citation reference and Repository-Browse URL.
  * debian/patches/testsuite_output.patch: Refreshed.
  * debian/cp2k.examples: Updated for moved regtest.
  * debian/cp2k.docs: Removed, the tutorials were moved to the website.
  * debian/rules (override_dh_auto_clean, override_dh_auto_build): Directory
    "web/manual" got renamed to "tools/manual", rename acoordingly.  Also drop
    the javascript-enabled version of the manual, as the respective .xsl file
    no longer exists (or rather, the javascript version is now the standard).
  * debian/cp2k-data.install: Likewise.
  * debian/rules (override_dh_auto_test): do_regtest has been moved to
    tools/regtesting, rename accordingly.
  * debian/regtest.config: Likewise.
  * debian/regtest.config: New variables "quick", "nobuild" and "nosvn".
  * debian/rules (override_dh_auto_test): Remove -quick option from
    command-line. 
  * debian/patches/makefile_linking.patch: New patch, adds required internal
    and external libraries to fes linking command-line.
  * debian/patches/makeflags.patch: Removed OBJECTS_ARCHITECTURE variable, as
    it is on longer used by the code.
  * debian/control (Description): Updated for new 2.5.0 features.
  * debian/rules (override_dh_auto_test): Replaced several regtest directories
    with similar, but quicker to run, directories.  Also add several more
    regtest directories.
  * debian/patches/fortran_continuing_lines.patch: Removed, no longer needed.
  * debian/patches/subversion_branch.patch: New patch, adds revisions from
    upstream cp2k-2_5-branch: r13644. 

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Mar 2014 17:17:41 +0100

=== debian/control ===
Source: cp2k
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: bc,
               bison,
               debhelper (>= 7.0.50~),
               default-jre-headless,
               flex,
               gfortran,
               libblas-dev,
               libelpa-dev (>= 2013.11.008-2),
               libfftw3-dev,
               libint-dev,
               liblapack-dev,
               libsaxonb-java,
               libscalapack-mpi-dev,
               libxc-dev,
               mpi-default-dev
Standards-Version: 3.9.4
Homepage: http://www.cp2k.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/cp2k/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/cp2k/

Package: cp2k
Architecture: any
Depends: cp2k-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Ab Initio Molecular Dynamics
 CP2K is a program to perform simulations of solid state, liquid, molecular and
 biological systems. It is especially aimed at massively parallel and linear
 scaling electronic structure methods and state-of-the-art ab-initio molecular
 dynamics (AIMD) simulations. 
 .
 CP2K is optimized for the mixed Gaussian and Plane-Waves (GPW) method based on
 pseudopotentials, but is able to run all-electron or pure plane-wave/Gaussian
 calculations as well. Features include:
 .
 Ab-initio Electronic Structure Theory Methods using the QUICKSTEP module:
 .
  * Density-Functional Theory (DFT) energies and forces
  * Hartree-Fock (HF) energies and forces
  * Moeller-Plesset 2nd order perturbation theory (MP2) energies and forces
  * Random Phase Approximation (RPA) energies
  * Gas phase or Periodic boundary conditions (PBC)
  * Basis sets include various standard Gaussian-Type Orbitals (GTOs), Pseudo-
    potential plane-waves (PW), and a mixed Gaussian and (augmented) plane wave
    approach (GPW/GAPW)
  * Norm-conserving, seperable Goedecker-Teter-Hutter (GTH) and non-linear core
    corrected (NLCC) pseudopotentials, or all-electron calculations
  * Local Density Approximation (LDA) XC functionals including SVWN3, SVWN5,
    PW92 and PADE
  * Gradient-corrected (GGA) XC functionals including BLYP, BP86, PW91, PBE and
    HCTH120 as well as the meta-GGA XC functional TPSS
  * Hybrid XC functionals with exact Hartree-Fock Exchange (HFX) including
    B3LYP, PBE0 and MCY3
  * Double-hybrid XC functionals including B2PLYP and B2GPPLYP
  * Additional XC functionals via LibXC
  * Dispersion corrections via DFT-D2 and DFT-D3 pair-potential models
  * Non-local van der Waals corrections for XC functionals including B88-vdW,
    PBE-vdW and B97X-D
  * Density-Fitting for DFT via Bloechl or Density Derived Atomic Point Charges
    (DDAPC) charges, for HFX via Auxiliary Density Matrix Methods (ADMM) and
    for MP2/RPA via Resolution-of-the-identity (RI)
  * Sparse matrix and prescreening techniques for linear-scaling Kohn-Sham (KS)
    matrix computation
  * Orbital Transformation (OT) or Direct Inversion of the iterative subspace
    (DIIS) self-consistent field (SCF) minimizer
  * Absolutely Localized Molecular Orbitals SCF (ALMO-SCF) energies for linear
    scaling of molecular systems
  * Excited states via time-dependent density-functional perturbation theory
    (TDDFPT)
 .
 Ab-initio Molecular Dynamics:
 .
  * Born-Oppenheimer Molecular Dynamics (BOMD)
  * Ehrenfest Molecular Dynamics (EMD)
  * PS extrapolation of initial wavefunction
  * Time-reversible Always Stable Predictor-Corrector (ASPC) integrator
  * Approximate Car-Parrinello like Langevin Born-Oppenheimer Molecular Dynamics
    (Second-Generation Car-Parrinello Molecular Dynamics)
 .
 Mixed quantum-classical (QM/MM) simulations:
 .
  * Real-space multigrid approach for the evaluation of the Coulomb
    interactions between the QM and the MM part
  * Linear-scaling electrostatic coupling treating of periodic boundary
    conditions
  * Adaptive QM/MM
 .
 Further Features include:
 .
  * Single-point energies, geometry optimizations and frequency calculations
  * Several nudged-elastic band (NEB) algorithms (B-NEB, IT-NEB, CI-NEB, D-NEB)
    for minimum energy path (MEP) calculations
  * Global optimization of geometries
  * Semi-Empirical calculations including the AM1, RM1, PM3, MNDO, MNDO-d, PNNL
    and PM6 parametrizations, density-functional tight-binding (DFTB) and
    self-consistent-polarization tight-binding (SCP-TB), with or without
    periodic boundary conditions
  * Classical Molecular Dynamics (MD) simulations in microcanonical ensemble
    (NVE) or canonical ensmble (NVT) with Nose-Hover and canonical sampling
    through velocity rescaling (CSVR) thermostats
  * Metadynamics including well-tempered Metadynamics for Free Energy
    calculations
  * Classical Force-Field (MM) simulations
  * Monte-Carlo (MC) KS-DFT simulations
  * Static (e.g. spectra) and dynamical (e.g. diffusion) properties
  * ATOM code for pseudopotential generation
  * Integrated molecular basis set optimization
 .
 CP2K does not implement conventional Car-Parrinello Molecular Dynamics (CPMD).

Package: cp2k-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ab Initio Molecular Dynamics (data files)
 CP2K is a program to perform simulations of solid state, liquid, molecular and
 biological systems. It is especially aimed at massively parallel and linear
 scaling electronic structure methods and state-of-the-art ab-inito molecular
 dynamics (AIMD) simulations.
 .
 This package contains basis sets, pseudopotentials and force-field parameters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/mpi-default-dev/debian_defaults

DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH), i386)
    export FFTW3_ALIGN=-D__FFTW3_UNALIGNED
else
    export FFTW3_ALIGN=
endif

export LIB_SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
export LIB_BLACS=-lblacsCinit-$(ARCH_DEFAULT_MPI_IMPL) -lblacs-$(ARCH_DEFAULT_MPI_IMPL)
export OMPI_MCA_orte_rsh_agent=/bin/false

PLATFORM=Linux
ARCH=`uname -m`
FORT_C_NAME=gfortran
VERSION=popt

%:
	dh $@ 

override_dh_auto_clean:
	(cd arch; ln -fs $(PLATFORM)-generic-$(FORT_C_NAME).$(VERSION)		   \
		$(PLATFORM)-$(ARCH)-$(FORT_C_NAME).$(VERSION))
	(cd makefiles; $(MAKE) ARCH=$(PLATFORM)-$(ARCH)-$(FORT_C_NAME)		   \
		VERSION=$(VERSION) distclean)
	(cd tools/manual; rm -rf CP2K_INPUT; rm -f *.html *.xml)
	rm -f arch/$(PLATFORM)-$(ARCH)-$(FORT_C_NAME).*
	rm -rf LAST* TEST*
	dh_auto_clean

override_dh_auto_build:
	(cd arch; ln -fs $(PLATFORM)-generic-$(FORT_C_NAME).$(VERSION)		    \
		$(PLATFORM)-$(ARCH)-$(FORT_C_NAME).$(VERSION))
	(cd makefiles; $(MAKE) ARCH=$(PLATFORM)-$(ARCH)-$(FORT_C_NAME) 		    \
		VERSION=$(VERSION) all)
	(cd tools/manual; $(CURDIR)/exe/*/cp2k.$(VERSION) --xml)
	(cd tools/manual; saxonb-xslt -o index.html -ext:on cp2k_input.xml cp2k_input.xsl)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ln -nfs testresults LAST-$(PLATFORM)-$(ARCH)-$(FORT_C_NAME)-$(VERSION)
	-(cd tools/regtesting; ARCH=$(PLATFORM)-$(ARCH)-$(FORT_C_NAME) ./do_regtest \
		-config ../../debian/regtest.config                                 \
		-restrictdir ATOM/regtest-2                                         \
		-restrictdir DFTB/regtest-nonscc                                    \
		-restrictdir EP                                                     \
		-restrictdir FARMING/regtest-1                                      \
		-restrictdir FE/regtest-2                                           \
		-restrictdir FE/regtest-3                                           \
		-restrictdir Fist/regtest-11                                        \
		-restrictdir LIBTEST                                                \
		-restrictdir MC/regtest                                             \
		-restrictdir NEB/regtest-1                                          \
		-restrictdir NEB/regtest-3                                          \
		-restrictdir optimize_input/regtest-1                               \
		-restrictdir Pimd                                                   \
		-restrictdir QMMM/QS/regtest-2-erf                                  \
		-restrictdir QMMM/QS/regtest-gapw                                   \
		-restrictdir QMMM/SE/regtest_2                                      \
		-restrictdir QS/regtest-almo                                        \
		-restrictdir QS/regtest-epr-2                                       \
		-restrictdir QS/regtest-gapw-2                                      \
		-restrictdir QS/regtest-gpw-2-1                                     \
		-restrictdir QS/regtest-gpw-6-4                                     \
		-restrictdir QS/regtest-hfx-periodic                                \
		-restrictdir QS/regtest-hfx-stress                                  \
		-restrictdir QS/regtest-hybrid-1                                    \
		-restrictdir QS/regtest-linearscaling                               \
		-restrictdir QS/regtest-libxc                                       \
		-restrictdir QS/regtest-lsroks                                      \
		-restrictdir QS/regtest-md-lgvregion                                \
		-restrictdir QS/regtest-mp2-1                                       \
		-restrictdir QS/regtest-mp2-grad                                    \
		-restrictdir QS/regtest-nmr-2                                       \
		-restrictdir QS/regtest-optbas                                      \
		-restrictdir QS/regtest-ot-refine-3                                 \
		-restrictdir QS/regtest-p-efield                                    \
		-restrictdir QS/regtest-polar                                       \
		-restrictdir QS/regtest-properties/resp                             \
		-restrictdir SCPTB/regtest-1                                        \
		-restrictdir SE/regtest-3-1                                         \
		-restrictdir SWARM/regtest-glbopt-1 )
endif

## cp2k 2.6.1

=== makefiles/Makefile ===
#
# make -j 16 sopt popt ssmp psmp
#
# will now perform a parallel build of 4 cp2k executables
#
.SUFFIXES: .F .dep .o .f90 .cu .c .instantiation .instantiated .template
SHELL = /bin/sh
#
# the home dir is taken from the current directory: you must cd to the makefiles
# directory before executing make.
# adding a symbolic link from the src directory to the Makefile in makefiles/
# also works fine
#
CP2KHOME     := $(abspath $(PWD)/..)
ARCH         := $(shell $(CP2KHOME)/tools/build_utils/get_arch_code)
export VERSION=sopt

MAKEFILE     := $(CP2KHOME)/makefiles/Makefile
DOXYGENDIR   := $(CP2KHOME)/doc/doxygen
MAINEXEDIR   := $(CP2KHOME)/exe
MAINLIBDIR   := $(CP2KHOME)/lib
MAINOBJDIR   := $(CP2KHOME)/obj
PRETTYOBJDIR := $(CP2KHOME)/obj/prettified
DOXIFYOBJDIR := $(CP2KHOME)/obj/doxified
INSTANTIATEDDIR := $(CP2KHOME)/obj/instantiated
TOOLSRC      := $(CP2KHOME)/tools
SRCDIR       := $(CP2KHOME)/src
EXEDIR       := $(MAINEXEDIR)/$(ARCH)
REVISION     := $(shell $(CP2KHOME)/tools/build_utils/get_revision_number $(SRCDIR))


# Discover programs =========================================================
ifeq ($(ALL_EXE_FILES),)
export ALL_EXE_FILES := $(sort $(shell $(TOOLSRC)/build_utils/discover_programs.py $(SRCDIR)))
endif
EXE_NAMES := $(basename $(notdir $(ALL_EXE_FILES)))

# Once we are down to a single version ======================================
# this only happens on stage 3 and 4
ifneq ($(ONEVERSION),)
MODDEPS = "lower"
include $(CP2KHOME)/arch/$(ARCH).$(ONEVERSION)
LIBDIR  := $(MAINLIBDIR)/$(ARCH)/$(ONEVERSION)
OBJDIR  := $(MAINOBJDIR)/$(ARCH)/$(ONEVERSION)
ifeq ($(NVCC),)
EXE_NAMES := $(basename $(notdir $(filter-out %.cu, $(ALL_EXE_FILES))))
endif
ifneq ($(LD_SHARED),)
 ARCHIVE_EXT := .$(ONEVERSION).so
else
 ARCHIVE_EXT := .a
endif
endif

# Declare PHONY targets =====================================================
.PHONY : $(VERSION) $(EXE_NAMES) \
         dirs makedep default_target all \
         toolversions libcp2k \
         doxifydir doxify doxifyclean \
         prettydir pretty prettyclean doxygen/clean doxygen \
         install clean realclean distclean mrproper help templates \
         instantiationdir templatesclean


# Discover files and directories ============================================
ALL_SRC_DIRS := $(shell find $(SRCDIR) -type d ! -name preprettify  ! -path "*/.svn*" | awk '{printf("%s:",$$1)}')
LIBCUSMM_DIR := $(shell find $(SRCDIR) -type d -name "libcusmm")
ALL_PREPRETTY_DIRS = $(shell find $(SRCDIR) -type d -name preprettify)

ALL_PKG_FILES  = $(shell find $(SRCDIR) ! -path "*/preprettify/*" -name "PACKAGE")
OBJ_SRC_FILES  = $(shell find $(SRCDIR) ! -path "*/preprettify/*" -name "*.F")
OBJ_SRC_FILES += $(shell find $(SRCDIR) ! -path "*/preprettify/*" -name "*.c")
ALL_INST_FILES = $(shell find $(SRCDIR) ! -path "*/preprettify/*" -name "*.instantiation")

ifneq ($(NVCC),)
OBJ_SRC_FILES += $(shell find $(SRCDIR) ! -path "*/preprettify/*" ! -name "libcusmm.cu" -name "*.cu")
OBJ_SRC_FILES += $(LIBCUSMM_DIR)/libcusmm.cu
endif

# Include also source files which won't compile into an object file
ALL_SRC_FILES  = $(OBJ_SRC_FILES)
ALL_SRC_FILES += $(shell find $(SRCDIR) ! -path "*/preprettify/*" -name "*.f90")
ALL_SRC_FILES += $(shell find $(SRCDIR) ! -path "*/preprettify/*" -name "*.h")

ALL_OBJECTS        = $(addsuffix .o, $(basename $(notdir $(OBJ_SRC_FILES))))
ALL_EXE_OBJECTS    = $(addsuffix .o, $(EXE_NAMES))
ALL_NONEXE_OBJECTS = $(filter-out $(ALL_EXE_OBJECTS), $(ALL_OBJECTS))

# Common Targets ============================================================
default_target: all

# stage 1: Call make recursively with each element in $(VERSION) as a target,
#          The actual target is stored in ORIG_TARGET.
#          Make can then parallelize over multiple versions targets.
ifeq ($(ONEVERSION),)
ORIG_TARGET = default_target

fes :
	@+$(MAKE) --no-print-directory -f $(MAKEFILE) $(VERSION) ORIG_TARGET=graph

$(EXE_NAMES) all toolversions libcp2k:
	@+$(MAKE) --no-print-directory -f $(MAKEFILE) $(VERSION) ORIG_TARGET=$@

# stage 2: Store the version target in $(ONEVERSION),
#          Call make recursively with $(ORIG_TARGET) as target.
$(VERSION) :
	@+$(MAKE) --no-print-directory -f $(MAKEFILE) $(ORIG_TARGET) ORIG_TARGET="" VERSION="" ONEVERSION=$@

else

# stage 3: Include arch-file, create dirs, and run makedep.py for given $(ONEVERSION).
#          Afterwards, call make recursively again with -C $(OBJDIR) and INCLUDE_DEPS=true
ifeq ($(INCLUDE_DEPS),)
$(EXE_NAMES): dirs makedep
	@+$(MAKE) --no-print-directory -C $(OBJDIR) -f $(MAKEFILE) $(EXEDIR)/$@.$(ONEVERSION) INCLUDE_DEPS=true

all: dirs makedep
	@+$(MAKE) --no-print-directory -C $(OBJDIR) -f $(MAKEFILE) all INCLUDE_DEPS=true

libcp2k: dirs makedep
	@+$(MAKE) --no-print-directory -C $(OBJDIR) -f $(MAKEFILE) $(LIBDIR)/libcp2k$(ARCHIVE_EXT) INCLUDE_DEPS=true

dirs:
	@mkdir -p $(OBJDIR)
	@mkdir -p $(LIBDIR)
	@mkdir -p $(EXEDIR)

toolversions:
ifneq ($(FC),)
	@echo "=========== FC ($(ONEVERSION)) ==========="
	$(FC) --version
endif
ifneq ($(CC),)
	@echo "=========== CC ($(ONEVERSION)) ==========="
	$(CC) --version
endif
ifneq ($(NVCC),)
	@echo "========== NVCC ($(ONEVERSION)) =========="
	$(NVCC) --version
	@echo ""
endif
ifneq ($(AR),)
	@echo "=========== AR ($(ONEVERSION)) ==========="
	$(firstword $(AR)) V
	@echo ""
endif
else

# stage 4: Include $(OBJDIR)/all.dep, expand target all and libcp2k, and perform actual build.
all: $(foreach e, $(EXE_NAMES), $(EXEDIR)/$(e).$(ONEVERSION))
$(LIBDIR)/libcp2k$(ARCHIVE_EXT) : $(ALL_NONEXE_OBJECTS)

endif
endif

OTHER_HELP += "toolversions : Print versions of build tools"

#   extract help text from doxygen "\brief"-tag
help:
	@echo "=================== Binaries ===================="
	@echo "all                         Builds all executables (default target)"
	@for i in $(ALL_EXE_FILES); do \
	basename  $$i | sed 's/^\(.*\)\..*/\1/' | awk '{printf "%-28s", $$1}'; \
	grep "brief" $$i | head -n 1 | sed 's/^.*\\brief\s*//'; \
	done
	@echo "libcp2k                     Builds CP2K as a single library archive"
	@echo ""
	@echo "===================== Tools ====================="
	@printf "%s\n" $(TOOL_HELP) | awk -F ':' '{printf "%-28s%s\n", $$1, $$2}'
	@echo ""
	@echo "================= Other Targets ================="
	@printf "%s\n" $(OTHER_HELP) | awk -F ':' '{printf "%-28s%s\n", $$1, $$2}'
	@echo "help                         Print this help text"

#
# so far CP2K does not install, but give a hint to the user
#
install:
	@echo ""
	@echo "The CP2K executable is $(foreach v, $(VERSION), $(EXEDIR)/cp2k.$(v))"
	@echo ""
OTHER_HELP += "install : Print installation help"

#
# delete the intermediate files, but not the libraries and executables, or created directories.
# Most useful to save space on the disk or e.g. for recompiles with PGO that still needs the .gcda files in the objdir
#
# cleaning stuff ============================================================
clean:
	rm -rf  $(LIBCUSMM_DIR)/libcusmm.cu
	rm -rf $(foreach v, $(VERSION), $(MAINOBJDIR)/$(ARCH)/$(v)/*.o)
	rm -rf $(foreach v, $(VERSION), $(MAINOBJDIR)/$(ARCH)/$(v)/*.mod $(MAINOBJDIR)/$(ARCH)/$(v)/*.MOD) 
	rm -rf $(foreach v, $(VERSION), $(MAINOBJDIR)/$(ARCH)/$(v)/*.dep) 
OTHER_HELP += "clean : Remove intermediate object and mod files, but not the libraries and executables, for given ARCH and VERSION"

#
# delete the intermediate files, the programs and libraries and anything that might be in the objdir or libdir directory
# Use this if you want to fully rebuild an executable (for a given compiler and or VERSION)
#
realclean: clean
	rm -rf $(foreach v, $(VERSION), $(MAINOBJDIR)/$(ARCH)/$(v))
	rm -rf $(foreach v, $(VERSION), $(MAINLIBDIR)/$(ARCH)/$(v) $(EXEDIR)/*.$(v))
OTHER_HELP += "realclean : Remove all files for given ARCH and VERSION"

#
# Remove all files from previous builds
#
distclean: prettyclean doxifyclean
	rm -rf $(DOXYGENDIR) $(MAINEXEDIR) $(MAINOBJDIR) $(MAINLIBDIR) $(LIBCUSMM_DIR)/libcusmm.cu
OTHER_HELP += "distclean : Remove all files from previous builds"

#
# Remove ALL files not in SVN
# NOTE: This removes really everything not committed to SVN
#
mrproper:
	cd $(CP2KHOME); ./tools/clean_cwd.sh
OTHER_HELP += "mrproper : Remove ALL files not in SVN"

#
# instantiate the templates
#
vpath %.instantiation   $(ALL_SRC_DIRS)

# since the same named .instantiation file can be present in many directories, we need to copy the full tree
# to store the instantiated file in a unique location
# TODO: proper dependencies based on .template
instantiateddir:
	-rm -fR $(INSTANTIATEDDIR)
	@mkdir -p $(dir $(addprefix $(INSTANTIATEDDIR), $(ALL_INST_FILES:.instantiation=.instantiated)))

templates: instantiateddir $(addprefix $(INSTANTIATEDDIR), $(ALL_INST_FILES:.instantiation=.instantiated))
TOOL_HELP += "templates : instantiate all templates"

$(addprefix $(INSTANTIATEDDIR), %.instantiated): %.instantiation instantiateddir
	@cd $(dir $<); $(TOOLSRC)/instantiateTemplates.py $(notdir $<)
	@touch $@

# Prettyfier stuff ==========================================================
vpath %.pretty $(PRETTYOBJDIR)

prettydir:
	@mkdir -p $(PRETTYOBJDIR)

pretty: doxify prettydir $(addprefix $(PRETTYOBJDIR)/, $(ALL_OBJECTS:.o=.pretty))
TOOL_HELP += "pretty : Reformat all source files in a pretty way."

prettyclean:
	-rm -rf $(PRETTYOBJDIR) $(ALL_PREPRETTY_DIRS)
TOOL_HELP += "prettyclean : Remove prettify marker files and preprettify directories"

$(PRETTYOBJDIR)/%.pretty: %.F
	cd $(dir $<); $(TOOLSRC)/prettify.py $(notdir $<)
	@touch $@

$(PRETTYOBJDIR)/%.pretty: %.c
#   TODO: call indent here?
	@touch $@

# Doxyifier stuff ===========================================================
vpath %.doxified $(DOXIFYOBJDIR)

doxifydir:
	@mkdir -p $(DOXIFYOBJDIR)

doxify: doxifydir $(addprefix $(DOXIFYOBJDIR)/, $(ALL_OBJECTS:.o=.doxified))
TOOL_HELP += "doxify : Autogenerate doxygen headers for subroutines"

doxifyclean:
	-rm -rf $(DOXIFYOBJDIR)
TOOL_HELP += "doxifyclean : Remove doxify marker files"

$(DOXIFYOBJDIR)/%.doxified: %.F
	$(TOOLSRC)/doxify/doxify.sh $<
	@touch $@

$(DOXIFYOBJDIR)/%.doxified: %.c
	@touch $@

# doxygen stuff =============================================================
doxygen/clean:
	-rm -rf $(DOXYGENDIR)
TOOL_HELP += "doxygen/clean : Remove the generated doxygen documentation"

# Automatic source code documentation using Doxygen
# Prerequisites:
# - stable doxygen release 1.5.4 (Oct. 27, 2007)
# - graphviz (2.16.1)
# - webdot (2.16)
#
doxygen: doxygen/clean
	@mkdir -p $(DOXYGENDIR)
	@mkdir -p $(DOXYGENDIR)/html
	@echo "<html><body>Sorry, the Doxygen documentation is currently being updated. Please try again in a few minutes.</body></html>" > $(DOXYGENDIR)/html/index.html
	cp $(ALL_SRC_FILES) $(DOXYGENDIR)
	@for i in $(DOXYGENDIR)/*.F ; do mv $${i}  $${i%%.*}.f90; done ;
	@cat $(TOOLSRC)/doxify/Doxyfile.template | sed "s/#revision#/`$(TOOLSRC)/build_utils/get_revision_number $(CP2KHOME)`/"  >$(DOXYGENDIR)/Doxyfile
	cd $(DOXYGENDIR); doxygen ./Doxyfile 2>&1 | tee ./html/doxygen.out
TOOL_HELP += "doxygen : Generate the doxygen documentation"


# Libcusmm stuff ============================================================
$(LIBCUSMM_DIR)/libcusmm.cu: $(LIBCUSMM_DIR)/generate.py $(LIBCUSMM_DIR)/parameters.txt $(wildcard $(LIBCUSMM_DIR)/kernels/*.py)
	cd $(LIBCUSMM_DIR); ./generate.py $(LIBCUSMM_FLAGS)


# automatic dependency generation ===========================================
MAKEDEPMODE = "normal"
ifeq ($(HACKDEP),yes)
MAKEDEPMODE = "hackdep"
else
 ifneq ($(MC),)
 MAKEDEPMODE = "mod_compiler"
 endif
endif

# this happens on stage 3
makedep: $(ALL_SRC_FILES) $(ALL_PKG_FILES)
ifeq ($(LD_SHARED),)
	@echo "Removing stale archives for $(ONEVERSION) ... "
	@$(TOOLSRC)/build_utils/check_archives.py $(firstword $(AR)) $(SRCDIR) $(LIBDIR)
endif
	@echo "Resolving dependencies for $(ONEVERSION) ... "
	@$(TOOLSRC)/build_utils/makedep.py $(OBJDIR)/all.dep $(MODDEPS) $(MAKEDEPMODE) $(ARCHIVE_EXT) $(OBJ_SRC_FILES)

# on stage 4, load the rules generated by makedep.py
ifeq ($(INCLUDE_DEPS), true)

=== debian/changelog ===
cp2k (2.6.1-2~bpo80+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Michael Banck <mbanck@debian.org>  Thu, 17 Sep 2015 23:51:17 +0200

cp2k (2.6.1-2) unstable; urgency=medium

  * debian/regtest.config: Hardcode platform to `Linux' as is done for
    building, so the regression tests can find the executable.
  * debian/rules (override_dh_auto_test): Added QS/regtest-sccs for SCCS.
  * debian/control (Description): Updated.
  * debian/cp2k-data.links: Removed, no longer needed, and actually harmful as
    it overwrites the combined POTENTIAL file with the GTH_POTENTIALS file.
  * debian/patches/data_files_standard_location.patch: Update default
    location for HFX and MP2 pair potential files, update check for data file
    existance during HFX setup to use file_exist() subroutine and update all
    occurrances of direct calls to OPEN() for data files with open_file()
    subroutines, taken from upstream revisions 14965, 15250 and 15287.
  * debian/upstream/metadata: Update version number and year in software
    package citation.
  * debian/upstream/metadata: Add Comp. Mol. Sci. article.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 May 2015 16:24:18 +0200

cp2k (2.6.1-1) unstable; urgency=medium

  * New upstream release, new features include:
    + Improved linear scaling routines
    + Self-consistent continuum solvation (SCCS) model
    + QM/MM for Density-Functional Tight Binding (DFTB)
    + Realtime-Propagation (RTP) and Ehrenfest Molecular Dynamics (EMD) with
      Hartree-Fock exchange
    + QUIP Manybody potential
    + Hirshfeld population analysis
    + Density-Matrix (DM) and Charge Constraint Projection based ADMM methods
    + K-points framework
    + Improved Random-Phase Approximation (RPA) frequency integration methods
    + Local Resolution of Identity Projector Augmented Wave method (LRIGPW)
    + Optimization of LRI basis sets
  * debian/patches/reset_cppflags_makdepf90.patch: Removed, no longer needed.
  * debian/patches/makefile_linking.patch: Likewise.
  * debian/patches/potentials_allectron.patch: Likewise.
  * debian/patches/libxc-2.1_support.patch: Likewise.
  * debian/patches/gth_potentials_update.patch: Likewise.
  * debian/patches/testsuite_output.patch: Refreshed.
  * debian/patches/makeflags.patch: Add __DATA_DIR define to $(DFLAGS).
  * debian/control (Build-Depends): Added python.
  * debian/cp2k-data.install: Install all data files from data/.
  * debian/cp2k.links: Fix symlink (Closes: #749558).
  * debian/upstream: Moved to debian/upstream/metadata.
  * debian/control (Build-Depends): Added libelpa-dev.
  * debian/patches/makeflags.patch: Enable ELPA support.
  * debian/rules (override_dh_auto_test): Added QS/regtest-gpw-6-4 regtest for
    ELPA.
  * debian/cp2k.install: Install cp2k_shell as well.
  * debian/cp2k.links: Add symlink for cp2k_shell.
  * debian/rules (override_dh_auto_test): Added QS/regtest-hirschfeld regtest for
    Hirshfeld charges and QMMM/DFTB/regtest for QM/MM DFTB.
  * debian/patches/data_files_standard_location.patch: Alternatively strip any
    path from provided files and look them up in the data directory directly.

 -- Michael Banck <mbanck@debian.org>  Fri, 01 May 2015 16:54:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                debhelper (>= 7.0.50~),
                default-jre-headless,
                flex,
+               python, 
                gfortran,
                libblas-dev,
                libelpa-dev (>= 2013.11.008-2),
@@ -59,13 +60,15 @@
   * Dispersion corrections via DFT-D2 and DFT-D3 pair-potential models
   * Non-local van der Waals corrections for XC functionals including B88-vdW,
     PBE-vdW and B97X-D
+  * DFT+U (Hubbard) correction
   * Density-Fitting for DFT via Bloechl or Density Derived Atomic Point Charges
     (DDAPC) charges, for HFX via Auxiliary Density Matrix Methods (ADMM) and
-    for MP2/RPA via Resolution-of-the-identity (RI)
+    for MP2/RPA via Resolution-of-identity (RI)
   * Sparse matrix and prescreening techniques for linear-scaling Kohn-Sham (KS)
     matrix computation
   * Orbital Transformation (OT) or Direct Inversion of the iterative subspace
     (DIIS) self-consistent field (SCF) minimizer
+  * Local Resolution-of-Identity Projector Augmented Wave method (LRIGPW)
   * Absolutely Localized Molecular Orbitals SCF (ALMO-SCF) energies for linear
     scaling of molecular systems
   * Excited states via time-dependent density-functional perturbation theory
@@ -94,6 +97,7 @@
   * Several nudged-elastic band (NEB) algorithms (B-NEB, IT-NEB, CI-NEB, D-NEB)
     for minimum energy path (MEP) calculations
   * Global optimization of geometries
+  * Solvation via the Self-Consistent Continuum Solvation (SCCS) model
   * Semi-Empirical calculations including the AM1, RM1, PM3, MNDO, MNDO-d, PNNL
     and PM6 parametrizations, density-functional tight-binding (DFTB) and
     self-consistent-polarization tight-binding (SCP-TB), with or without

=== debian/watch ===
# only follow the branches, so we know, when the next one is released

version=3
http://sf.net/cp2k/cp2k-([\d.]+)\.tar\.bz2
